*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background: rgb(2, 0, 24);
    height: auto;
}

/*---------navection (section 1)---------*/

#nav1
{
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1001;
    background: linear-gradient(to top ,rgb(0, 47, 90) ,rgb(0, 60, 109));
    border-radius:0px 0px 20px 20px;
}

#section_1{
    z-index: -1;
    position: absolute;
    margin-left: 20px;
}

.header{
    margin: auto;
    width: 300px;
    height: 120px;
    background: rgb(10, 10, 10);
    position: relative;
    top: -80px;
    align-items: center;
    border-radius: 0 0 50px 50px;
    transition: all 0.5s;
}

.header::before,.header::after{
    content: '';
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 0 0 50px 50px;
    background: linear-gradient(45deg,#0004ff,#00f0f0,#00ff00,#8a3a79,#88ff0069,#ff000069,#ff000069);
    z-index: -1;
    transform: scale(1.02);
    background-size: 500%;
    animation: anim 20s linear infinite;
}

@keyframes anim{
    0%,100%{background-position: 0 0;}
    50%{background-position: 300% 0;}
}

.header::after{
    filter: blur(10px);
}

input{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translate(-50%);
    -webkit-appearance: none;
    outline: none;
    cursor: pointer;
}

input::before{
    content: '\f0c9';
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    color: #f1f1f196;
}

.a1{
    margin: 20px;
    left: 85px;
    top: 5px;
    color: rgb(95, 95, 95);
    position: absolute;
    font-weight: 700;
    font-family: cursive;
    text-decoration: none;
}

.a2
{
    top: 30px;
}

.a1:hover{
    color: #f1f1f196;
}


.img10{
    border-radius: 50%;
    position: absolute;
    left: 25px;
    top: 10px;
}

/*---------navection (section 2)---------*/

#section_2{
    z-index: 1;
    position: relative;
}

#hamburger-toggle{  display: none; }

.hamburger-wrapper{
	position: absolute;
	right: 50px; 
    top: 25px;
	cursor: pointer;
	z-index: 1;
}

.hamburger, .hamburger::before, .hamburger::after{
	display: inline-block;
	width: 30px; 
	height: 2px;
	background-color: #565656;
	transition: all 0.3s;
}

.hamburger{ position: relative; }

.hamburger::before, .hamburger::after{
	content: "";
	position: absolute;
}

.hamburger::before{ transform: translateY(-10px); }

.hamburger::after{ transform: translateY(10px); }

.navbar{
	position: absolute;
	right: 0px;
	width: 500px; 
	height: 100vh;
	background-image: linear-gradient(120deg, #00aeff73, #00029194);
	clip-path: circle(0 at 100% 0);
	transition: all 0.5s;
}

.nav-list{
	position: absolute;
	list-style: none;
	right: 180px; 
    top: 40px;
	transform: translateX(-300px) rotate(20deg);
	transition: all 0.3s;
}

.nav-list li{
	margin: 50px 0;
	text-align: center;
}

.nav-list li a{
	text-decoration: none;
	color: #fff;
	font-family: "Century Gothic";
	text-transform: uppercase;
	padding: 10px;
	transition: all 0.3s;
}


.nav-list li a:hover{ border-bottom: 1px solid #fff; }

#hamburger-toggle:checked ~ .hamburger-wrapper .hamburger{
	background-color: transparent;
}


#hamburger-toggle:checked ~ .hamburger-wrapper .hamburger::before{
	transform: rotate(225deg);
	background-color: #fff;
}

#hamburger-toggle:checked ~ .hamburger-wrapper .hamburger::after{
	transform: rotate(-225deg);
	background-color: #fff;
}

#hamburger-toggle:checked ~ .navbar{
	clip-path: circle(500px at 100% 0);
}

#hamburger-toggle:checked ~ .navbar .nav-list{
	transform: translateX(0);
	opacity: 1;
}

/*---------navection (section 3)---------*/

#section_3{
    margin-top:5px;
    margin-left: 550px;
    width: 100px;
    height: 100px;
    color: #fff;
}
.search {
    top: 25px;
    left: 130px;
    display: inline-block;
    position: relative;
    filter: drop-shadow(0 2px #0091c2);
}
.search:after {
    content: "";
    background: white;
    width: 4px;
    height: 14px;
    position: absolute;
    top: -17px;
    right: -15px;
    transform: rotate(135deg);
}
  
.search > input {
    color: white;
    font-size: 16px;
    width: 25px;
    height: 25px;
    padding: 10px;
    border: solid 3px white;
    outline: none;
    border-radius: 35px;
    transition: width 0.5s;
    background: transparent;
}
  
.search > input::placeholder {
    color: #efefef;
    opacity: 0;
    transition: opacity 150ms ease-out;
}
  
.search input:focus::placeholder {
    opacity: 1;
}
  
.search input:focus,
.search input:not(:placeholder-shown) {
    width: 250px;
}

/*---------navection (section 4)---------*/

@font-face 
{
  font-family: myFirstFont;
  src: url(../font/40.otf);
}

#section_4{
    position: absolute;
    top:30px;
    left: 540px;
    width: 100px;
    height: 100px;
    color: #fff;
    font-size:50px;
    font-family: myFirstFont;
}

/*---------header---------*/

header .div1
{
    margin-left: 50px;
    margin-top: 130px;
    margin-bottom: 20px;
    width: 1240px;
    height: 280px;
    background-color: rgb(35, 58, 83);
    border-radius: 40px;
    transition: all 0.2s;
}

header .div2
{
    margin-bottom: 50px;
}

header .div1:hover
{
    box-shadow: 20px 20px 50px 15px black;
    transition: all 0.2s;
}

header .div1 .poster
{
    height: 225px;
    width: 205px;
    background-color: blue;
    display: inline-block;
    margin-top: 25px;
    margin-left: 80px;
}

header .poster
{
    position: relative;
    overflow: hidden;
    cursor: pointer;
}
header img
{
    width: 100%;
    height: 100%;
    display: block;
    transition: all 0.3s;
}

header .poster:hover img
{
    transform: scale(1.2);
    filter: brightness(50%);
}

header .poster p
{
    position: absolute;
    color: #fff;
    letter-spacing: 1px;
    bottom: 10px;
    opacity: 0;
    transition: all 0.2s;
    transition-delay: 0.2s;
    text-transform: uppercase;
    font-size: 25px;
}

header .poster:hover p{
    opacity: 1; 
    transform: translateX(10px);
    display: block;
}


@font-face 
{
  font-family: my4;
  src: url(../font/HarryP-MVZ6w.ttf);
}
header .tit
{
    position: relative;
    top:150px;
    left: 605px;
    width: 100px;
    height: 100px;
    color: rgb(255, 255, 255);
    font-size:59px;
    font-family: my4;
}

/*  ---------footer--------- */

a{
    text-decoration: none;
    color: #004974;
  }
.home
{
    margin-left: 270px;
}
a:hover
{
    color :green;
}
.fa-facebook
{
    margin-left: 550px;
    margin-bottom: 15px;
}
.ic1 i
{
    color: #004974;
    font-size:50px;
    margin-top: 11px;
    transition: all.6s ease-in-out;
    margin-right: 30px;
}
    
.ic1 i:hover
{
    color: #56fc56;
    transform:rotate(10deg) scale(1.3,1.3);
    cursor: pointer;
    transition: all.6s ease-in-out;
}
    